Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
[Java] Class AbstractDynamicControllerMethod

    java.lang.Object
      org.codehaus.groovy.grails.commons.metaclass.AbstractDynamicMethodInvocation
          org.codehaus.groovy.grails.web.metaclass.AbstractDynamicControllerMethod

    public abstract class AbstractDynamicControllerMethod
    extends AbstractDynamicMethodInvocation

An abstract class for dynamic controller methods to implement.

Authors:
  Graeme Rocher

Field Summary
`protected HttpServletRequest` | `request`
`protected HttpServletResponse` | `response`

Constructor Summary
`AbstractDynamicControllerMethod(java.util.regex.Pattern pattern, HttpServletRequest request, HttpServletResponse response)`

Method Summary

Methods inherited from class AbstractDynamicMethodInvocation
getPattern, invoke, isMethodMatch, setPattern

Field Detail

### request

    protected HttpServletRequest request

### response

    protected HttpServletResponse response

Constructor Detail

### AbstractDynamicControllerMethod

    public AbstractDynamicControllerMethod(java.util.regex.Pattern pattern, HttpServletRequest request, HttpServletResponse response)

Groovy Documentation